Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network122.2.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
122.2.0.0
Broadcast address
122.2.31.255
First usable
122.2.0.1
Last usable
122.2.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 7A020000 · Integer 2046951424 to 2046959615
Reverse DNS zones
0.2.122.in-addr.arpa
1.2.122.in-addr.arpa
2.2.122.in-addr.arpa
3.2.122.in-addr.arpa
4.2.122.in-addr.arpa
5.2.122.in-addr.arpa
6.2.122.in-addr.arpa
7.2.122.in-addr.arpa
8.2.122.in-addr.arpa
9.2.122.in-addr.arpa
10.2.122.in-addr.arpa
11.2.122.in-addr.arpa
12.2.122.in-addr.arpa
13.2.122.in-addr.arpa
14.2.122.in-addr.arpa
15.2.122.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111010.00000010.00000000.00000000122.2.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01111010.00000010.00000000.00000000122.2.0.0
Broadcast01111010.00000010.00011111.11111111122.2.31.255
Split into smaller subnets/30

122.2.0.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1122.2.0.0/30122.2.0.1 to 122.2.0.2122.2.0.32
2122.2.0.4/30122.2.0.5 to 122.2.0.6122.2.0.72
3122.2.0.8/30122.2.0.9 to 122.2.0.10122.2.0.112
4122.2.0.12/30122.2.0.13 to 122.2.0.14122.2.0.152
5122.2.0.16/30122.2.0.17 to 122.2.0.18122.2.0.192
6122.2.0.20/30122.2.0.21 to 122.2.0.22122.2.0.232
7122.2.0.24/30122.2.0.25 to 122.2.0.26122.2.0.272
8122.2.0.28/30122.2.0.29 to 122.2.0.30122.2.0.312
9122.2.0.32/30122.2.0.33 to 122.2.0.34122.2.0.352
10122.2.0.36/30122.2.0.37 to 122.2.0.38122.2.0.392
11122.2.0.40/30122.2.0.41 to 122.2.0.42122.2.0.432
12122.2.0.44/30122.2.0.45 to 122.2.0.46122.2.0.472
13122.2.0.48/30122.2.0.49 to 122.2.0.50122.2.0.512
14122.2.0.52/30122.2.0.53 to 122.2.0.54122.2.0.552
15122.2.0.56/30122.2.0.57 to 122.2.0.58122.2.0.592
16122.2.0.60/30122.2.0.61 to 122.2.0.62122.2.0.632
17122.2.0.64/30122.2.0.65 to 122.2.0.66122.2.0.672
18122.2.0.68/30122.2.0.69 to 122.2.0.70122.2.0.712
19122.2.0.72/30122.2.0.73 to 122.2.0.74122.2.0.752
20122.2.0.76/30122.2.0.77 to 122.2.0.78122.2.0.792
21122.2.0.80/30122.2.0.81 to 122.2.0.82122.2.0.832
22122.2.0.84/30122.2.0.85 to 122.2.0.86122.2.0.872
23122.2.0.88/30122.2.0.89 to 122.2.0.90122.2.0.912
24122.2.0.92/30122.2.0.93 to 122.2.0.94122.2.0.952
25122.2.0.96/30122.2.0.97 to 122.2.0.98122.2.0.992
26122.2.0.100/30122.2.0.101 to 122.2.0.102122.2.0.1032
27122.2.0.104/30122.2.0.105 to 122.2.0.106122.2.0.1072
28122.2.0.108/30122.2.0.109 to 122.2.0.110122.2.0.1112
29122.2.0.112/30122.2.0.113 to 122.2.0.114122.2.0.1152
30122.2.0.116/30122.2.0.117 to 122.2.0.118122.2.0.1192
31122.2.0.120/30122.2.0.121 to 122.2.0.122122.2.0.1232
32122.2.0.124/30122.2.0.125 to 122.2.0.126122.2.0.1272
33122.2.0.128/30122.2.0.129 to 122.2.0.130122.2.0.1312
34122.2.0.132/30122.2.0.133 to 122.2.0.134122.2.0.1352
35122.2.0.136/30122.2.0.137 to 122.2.0.138122.2.0.1392
36122.2.0.140/30122.2.0.141 to 122.2.0.142122.2.0.1432
37122.2.0.144/30122.2.0.145 to 122.2.0.146122.2.0.1472
38122.2.0.148/30122.2.0.149 to 122.2.0.150122.2.0.1512
39122.2.0.152/30122.2.0.153 to 122.2.0.154122.2.0.1552
40122.2.0.156/30122.2.0.157 to 122.2.0.158122.2.0.1592
41122.2.0.160/30122.2.0.161 to 122.2.0.162122.2.0.1632
42122.2.0.164/30122.2.0.165 to 122.2.0.166122.2.0.1672
43122.2.0.168/30122.2.0.169 to 122.2.0.170122.2.0.1712
44122.2.0.172/30122.2.0.173 to 122.2.0.174122.2.0.1752
45122.2.0.176/30122.2.0.177 to 122.2.0.178122.2.0.1792
46122.2.0.180/30122.2.0.181 to 122.2.0.182122.2.0.1832
47122.2.0.184/30122.2.0.185 to 122.2.0.186122.2.0.1872
48122.2.0.188/30122.2.0.189 to 122.2.0.190122.2.0.1912
49122.2.0.192/30122.2.0.193 to 122.2.0.194122.2.0.1952
50122.2.0.196/30122.2.0.197 to 122.2.0.198122.2.0.1992
51122.2.0.200/30122.2.0.201 to 122.2.0.202122.2.0.2032
52122.2.0.204/30122.2.0.205 to 122.2.0.206122.2.0.2072
53122.2.0.208/30122.2.0.209 to 122.2.0.210122.2.0.2112
54122.2.0.212/30122.2.0.213 to 122.2.0.214122.2.0.2152
55122.2.0.216/30122.2.0.217 to 122.2.0.218122.2.0.2192
56122.2.0.220/30122.2.0.221 to 122.2.0.222122.2.0.2232
57122.2.0.224/30122.2.0.225 to 122.2.0.226122.2.0.2272
58122.2.0.228/30122.2.0.229 to 122.2.0.230122.2.0.2312
59122.2.0.232/30122.2.0.233 to 122.2.0.234122.2.0.2352
60122.2.0.236/30122.2.0.237 to 122.2.0.238122.2.0.2392
61122.2.0.240/30122.2.0.241 to 122.2.0.242122.2.0.2432
62122.2.0.244/30122.2.0.245 to 122.2.0.246122.2.0.2472
63122.2.0.248/30122.2.0.249 to 122.2.0.250122.2.0.2512
64122.2.0.252/30122.2.0.253 to 122.2.0.254122.2.0.2552
65122.2.1.0/30122.2.1.1 to 122.2.1.2122.2.1.32
66122.2.1.4/30122.2.1.5 to 122.2.1.6122.2.1.72
67122.2.1.8/30122.2.1.9 to 122.2.1.10122.2.1.112
68122.2.1.12/30122.2.1.13 to 122.2.1.14122.2.1.152
69122.2.1.16/30122.2.1.17 to 122.2.1.18122.2.1.192
70122.2.1.20/30122.2.1.21 to 122.2.1.22122.2.1.232
71122.2.1.24/30122.2.1.25 to 122.2.1.26122.2.1.272
72122.2.1.28/30122.2.1.29 to 122.2.1.30122.2.1.312
73122.2.1.32/30122.2.1.33 to 122.2.1.34122.2.1.352
74122.2.1.36/30122.2.1.37 to 122.2.1.38122.2.1.392
75122.2.1.40/30122.2.1.41 to 122.2.1.42122.2.1.432
76122.2.1.44/30122.2.1.45 to 122.2.1.46122.2.1.472
77122.2.1.48/30122.2.1.49 to 122.2.1.50122.2.1.512
78122.2.1.52/30122.2.1.53 to 122.2.1.54122.2.1.552
79122.2.1.56/30122.2.1.57 to 122.2.1.58122.2.1.592
80122.2.1.60/30122.2.1.61 to 122.2.1.62122.2.1.632
81122.2.1.64/30122.2.1.65 to 122.2.1.66122.2.1.672
82122.2.1.68/30122.2.1.69 to 122.2.1.70122.2.1.712
83122.2.1.72/30122.2.1.73 to 122.2.1.74122.2.1.752
84122.2.1.76/30122.2.1.77 to 122.2.1.78122.2.1.792
85122.2.1.80/30122.2.1.81 to 122.2.1.82122.2.1.832
86122.2.1.84/30122.2.1.85 to 122.2.1.86122.2.1.872
87122.2.1.88/30122.2.1.89 to 122.2.1.90122.2.1.912
88122.2.1.92/30122.2.1.93 to 122.2.1.94122.2.1.952
89122.2.1.96/30122.2.1.97 to 122.2.1.98122.2.1.992
90122.2.1.100/30122.2.1.101 to 122.2.1.102122.2.1.1032
91122.2.1.104/30122.2.1.105 to 122.2.1.106122.2.1.1072
92122.2.1.108/30122.2.1.109 to 122.2.1.110122.2.1.1112
93122.2.1.112/30122.2.1.113 to 122.2.1.114122.2.1.1152
94122.2.1.116/30122.2.1.117 to 122.2.1.118122.2.1.1192
95122.2.1.120/30122.2.1.121 to 122.2.1.122122.2.1.1232
96122.2.1.124/30122.2.1.125 to 122.2.1.126122.2.1.1272
97122.2.1.128/30122.2.1.129 to 122.2.1.130122.2.1.1312
98122.2.1.132/30122.2.1.133 to 122.2.1.134122.2.1.1352
99122.2.1.136/30122.2.1.137 to 122.2.1.138122.2.1.1392
100122.2.1.140/30122.2.1.141 to 122.2.1.142122.2.1.1432
101122.2.1.144/30122.2.1.145 to 122.2.1.146122.2.1.1472
102122.2.1.148/30122.2.1.149 to 122.2.1.150122.2.1.1512
103122.2.1.152/30122.2.1.153 to 122.2.1.154122.2.1.1552
104122.2.1.156/30122.2.1.157 to 122.2.1.158122.2.1.1592
105122.2.1.160/30122.2.1.161 to 122.2.1.162122.2.1.1632
106122.2.1.164/30122.2.1.165 to 122.2.1.166122.2.1.1672
107122.2.1.168/30122.2.1.169 to 122.2.1.170122.2.1.1712
108122.2.1.172/30122.2.1.173 to 122.2.1.174122.2.1.1752
109122.2.1.176/30122.2.1.177 to 122.2.1.178122.2.1.1792
110122.2.1.180/30122.2.1.181 to 122.2.1.182122.2.1.1832
111122.2.1.184/30122.2.1.185 to 122.2.1.186122.2.1.1872
112122.2.1.188/30122.2.1.189 to 122.2.1.190122.2.1.1912
113122.2.1.192/30122.2.1.193 to 122.2.1.194122.2.1.1952
114122.2.1.196/30122.2.1.197 to 122.2.1.198122.2.1.1992
115122.2.1.200/30122.2.1.201 to 122.2.1.202122.2.1.2032
116122.2.1.204/30122.2.1.205 to 122.2.1.206122.2.1.2072
117122.2.1.208/30122.2.1.209 to 122.2.1.210122.2.1.2112
118122.2.1.212/30122.2.1.213 to 122.2.1.214122.2.1.2152
119122.2.1.216/30122.2.1.217 to 122.2.1.218122.2.1.2192
120122.2.1.220/30122.2.1.221 to 122.2.1.222122.2.1.2232
121122.2.1.224/30122.2.1.225 to 122.2.1.226122.2.1.2272
122122.2.1.228/30122.2.1.229 to 122.2.1.230122.2.1.2312
123122.2.1.232/30122.2.1.233 to 122.2.1.234122.2.1.2352
124122.2.1.236/30122.2.1.237 to 122.2.1.238122.2.1.2392
125122.2.1.240/30122.2.1.241 to 122.2.1.242122.2.1.2432
126122.2.1.244/30122.2.1.245 to 122.2.1.246122.2.1.2472
127122.2.1.248/30122.2.1.249 to 122.2.1.250122.2.1.2512
128122.2.1.252/30122.2.1.253 to 122.2.1.254122.2.1.2552
129122.2.2.0/30122.2.2.1 to 122.2.2.2122.2.2.32
130122.2.2.4/30122.2.2.5 to 122.2.2.6122.2.2.72
131122.2.2.8/30122.2.2.9 to 122.2.2.10122.2.2.112
132122.2.2.12/30122.2.2.13 to 122.2.2.14122.2.2.152
133122.2.2.16/30122.2.2.17 to 122.2.2.18122.2.2.192
134122.2.2.20/30122.2.2.21 to 122.2.2.22122.2.2.232
135122.2.2.24/30122.2.2.25 to 122.2.2.26122.2.2.272
136122.2.2.28/30122.2.2.29 to 122.2.2.30122.2.2.312
137122.2.2.32/30122.2.2.33 to 122.2.2.34122.2.2.352
138122.2.2.36/30122.2.2.37 to 122.2.2.38122.2.2.392
139122.2.2.40/30122.2.2.41 to 122.2.2.42122.2.2.432
140122.2.2.44/30122.2.2.45 to 122.2.2.46122.2.2.472
141122.2.2.48/30122.2.2.49 to 122.2.2.50122.2.2.512
142122.2.2.52/30122.2.2.53 to 122.2.2.54122.2.2.552
143122.2.2.56/30122.2.2.57 to 122.2.2.58122.2.2.592
144122.2.2.60/30122.2.2.61 to 122.2.2.62122.2.2.632
145122.2.2.64/30122.2.2.65 to 122.2.2.66122.2.2.672
146122.2.2.68/30122.2.2.69 to 122.2.2.70122.2.2.712
147122.2.2.72/30122.2.2.73 to 122.2.2.74122.2.2.752
148122.2.2.76/30122.2.2.77 to 122.2.2.78122.2.2.792
149122.2.2.80/30122.2.2.81 to 122.2.2.82122.2.2.832
150122.2.2.84/30122.2.2.85 to 122.2.2.86122.2.2.872
151122.2.2.88/30122.2.2.89 to 122.2.2.90122.2.2.912
152122.2.2.92/30122.2.2.93 to 122.2.2.94122.2.2.952
153122.2.2.96/30122.2.2.97 to 122.2.2.98122.2.2.992
154122.2.2.100/30122.2.2.101 to 122.2.2.102122.2.2.1032
155122.2.2.104/30122.2.2.105 to 122.2.2.106122.2.2.1072
156122.2.2.108/30122.2.2.109 to 122.2.2.110122.2.2.1112
157122.2.2.112/30122.2.2.113 to 122.2.2.114122.2.2.1152
158122.2.2.116/30122.2.2.117 to 122.2.2.118122.2.2.1192
159122.2.2.120/30122.2.2.121 to 122.2.2.122122.2.2.1232
160122.2.2.124/30122.2.2.125 to 122.2.2.126122.2.2.1272
161122.2.2.128/30122.2.2.129 to 122.2.2.130122.2.2.1312
162122.2.2.132/30122.2.2.133 to 122.2.2.134122.2.2.1352
163122.2.2.136/30122.2.2.137 to 122.2.2.138122.2.2.1392
164122.2.2.140/30122.2.2.141 to 122.2.2.142122.2.2.1432
165122.2.2.144/30122.2.2.145 to 122.2.2.146122.2.2.1472
166122.2.2.148/30122.2.2.149 to 122.2.2.150122.2.2.1512
167122.2.2.152/30122.2.2.153 to 122.2.2.154122.2.2.1552
168122.2.2.156/30122.2.2.157 to 122.2.2.158122.2.2.1592
169122.2.2.160/30122.2.2.161 to 122.2.2.162122.2.2.1632
170122.2.2.164/30122.2.2.165 to 122.2.2.166122.2.2.1672
171122.2.2.168/30122.2.2.169 to 122.2.2.170122.2.2.1712
172122.2.2.172/30122.2.2.173 to 122.2.2.174122.2.2.1752
173122.2.2.176/30122.2.2.177 to 122.2.2.178122.2.2.1792
174122.2.2.180/30122.2.2.181 to 122.2.2.182122.2.2.1832
175122.2.2.184/30122.2.2.185 to 122.2.2.186122.2.2.1872
176122.2.2.188/30122.2.2.189 to 122.2.2.190122.2.2.1912
177122.2.2.192/30122.2.2.193 to 122.2.2.194122.2.2.1952
178122.2.2.196/30122.2.2.197 to 122.2.2.198122.2.2.1992
179122.2.2.200/30122.2.2.201 to 122.2.2.202122.2.2.2032
180122.2.2.204/30122.2.2.205 to 122.2.2.206122.2.2.2072
181122.2.2.208/30122.2.2.209 to 122.2.2.210122.2.2.2112
182122.2.2.212/30122.2.2.213 to 122.2.2.214122.2.2.2152
183122.2.2.216/30122.2.2.217 to 122.2.2.218122.2.2.2192
184122.2.2.220/30122.2.2.221 to 122.2.2.222122.2.2.2232
185122.2.2.224/30122.2.2.225 to 122.2.2.226122.2.2.2272
186122.2.2.228/30122.2.2.229 to 122.2.2.230122.2.2.2312
187122.2.2.232/30122.2.2.233 to 122.2.2.234122.2.2.2352
188122.2.2.236/30122.2.2.237 to 122.2.2.238122.2.2.2392
189122.2.2.240/30122.2.2.241 to 122.2.2.242122.2.2.2432
190122.2.2.244/30122.2.2.245 to 122.2.2.246122.2.2.2472
191122.2.2.248/30122.2.2.249 to 122.2.2.250122.2.2.2512
192122.2.2.252/30122.2.2.253 to 122.2.2.254122.2.2.2552
193122.2.3.0/30122.2.3.1 to 122.2.3.2122.2.3.32
194122.2.3.4/30122.2.3.5 to 122.2.3.6122.2.3.72
195122.2.3.8/30122.2.3.9 to 122.2.3.10122.2.3.112
196122.2.3.12/30122.2.3.13 to 122.2.3.14122.2.3.152
197122.2.3.16/30122.2.3.17 to 122.2.3.18122.2.3.192
198122.2.3.20/30122.2.3.21 to 122.2.3.22122.2.3.232
199122.2.3.24/30122.2.3.25 to 122.2.3.26122.2.3.272
200122.2.3.28/30122.2.3.29 to 122.2.3.30122.2.3.312
201122.2.3.32/30122.2.3.33 to 122.2.3.34122.2.3.352
202122.2.3.36/30122.2.3.37 to 122.2.3.38122.2.3.392
203122.2.3.40/30122.2.3.41 to 122.2.3.42122.2.3.432
204122.2.3.44/30122.2.3.45 to 122.2.3.46122.2.3.472
205122.2.3.48/30122.2.3.49 to 122.2.3.50122.2.3.512
206122.2.3.52/30122.2.3.53 to 122.2.3.54122.2.3.552
207122.2.3.56/30122.2.3.57 to 122.2.3.58122.2.3.592
208122.2.3.60/30122.2.3.61 to 122.2.3.62122.2.3.632
209122.2.3.64/30122.2.3.65 to 122.2.3.66122.2.3.672
210122.2.3.68/30122.2.3.69 to 122.2.3.70122.2.3.712
211122.2.3.72/30122.2.3.73 to 122.2.3.74122.2.3.752
212122.2.3.76/30122.2.3.77 to 122.2.3.78122.2.3.792
213122.2.3.80/30122.2.3.81 to 122.2.3.82122.2.3.832
214122.2.3.84/30122.2.3.85 to 122.2.3.86122.2.3.872
215122.2.3.88/30122.2.3.89 to 122.2.3.90122.2.3.912
216122.2.3.92/30122.2.3.93 to 122.2.3.94122.2.3.952
217122.2.3.96/30122.2.3.97 to 122.2.3.98122.2.3.992
218122.2.3.100/30122.2.3.101 to 122.2.3.102122.2.3.1032
219122.2.3.104/30122.2.3.105 to 122.2.3.106122.2.3.1072
220122.2.3.108/30122.2.3.109 to 122.2.3.110122.2.3.1112
221122.2.3.112/30122.2.3.113 to 122.2.3.114122.2.3.1152
222122.2.3.116/30122.2.3.117 to 122.2.3.118122.2.3.1192
223122.2.3.120/30122.2.3.121 to 122.2.3.122122.2.3.1232
224122.2.3.124/30122.2.3.125 to 122.2.3.126122.2.3.1272
225122.2.3.128/30122.2.3.129 to 122.2.3.130122.2.3.1312
226122.2.3.132/30122.2.3.133 to 122.2.3.134122.2.3.1352
227122.2.3.136/30122.2.3.137 to 122.2.3.138122.2.3.1392
228122.2.3.140/30122.2.3.141 to 122.2.3.142122.2.3.1432
229122.2.3.144/30122.2.3.145 to 122.2.3.146122.2.3.1472
230122.2.3.148/30122.2.3.149 to 122.2.3.150122.2.3.1512
231122.2.3.152/30122.2.3.153 to 122.2.3.154122.2.3.1552
232122.2.3.156/30122.2.3.157 to 122.2.3.158122.2.3.1592
233122.2.3.160/30122.2.3.161 to 122.2.3.162122.2.3.1632
234122.2.3.164/30122.2.3.165 to 122.2.3.166122.2.3.1672
235122.2.3.168/30122.2.3.169 to 122.2.3.170122.2.3.1712
236122.2.3.172/30122.2.3.173 to 122.2.3.174122.2.3.1752
237122.2.3.176/30122.2.3.177 to 122.2.3.178122.2.3.1792
238122.2.3.180/30122.2.3.181 to 122.2.3.182122.2.3.1832
239122.2.3.184/30122.2.3.185 to 122.2.3.186122.2.3.1872
240122.2.3.188/30122.2.3.189 to 122.2.3.190122.2.3.1912
241122.2.3.192/30122.2.3.193 to 122.2.3.194122.2.3.1952
242122.2.3.196/30122.2.3.197 to 122.2.3.198122.2.3.1992
243122.2.3.200/30122.2.3.201 to 122.2.3.202122.2.3.2032
244122.2.3.204/30122.2.3.205 to 122.2.3.206122.2.3.2072
245122.2.3.208/30122.2.3.209 to 122.2.3.210122.2.3.2112
246122.2.3.212/30122.2.3.213 to 122.2.3.214122.2.3.2152
247122.2.3.216/30122.2.3.217 to 122.2.3.218122.2.3.2192
248122.2.3.220/30122.2.3.221 to 122.2.3.222122.2.3.2232
249122.2.3.224/30122.2.3.225 to 122.2.3.226122.2.3.2272
250122.2.3.228/30122.2.3.229 to 122.2.3.230122.2.3.2312
251122.2.3.232/30122.2.3.233 to 122.2.3.234122.2.3.2352
252122.2.3.236/30122.2.3.237 to 122.2.3.238122.2.3.2392
253122.2.3.240/30122.2.3.241 to 122.2.3.242122.2.3.2432
254122.2.3.244/30122.2.3.245 to 122.2.3.246122.2.3.2472
255122.2.3.248/30122.2.3.249 to 122.2.3.250122.2.3.2512
256122.2.3.252/30122.2.3.253 to 122.2.3.254122.2.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses